ExtUtils::Builder::Compiler(3pm)

NAME
ExtUtils::Builder::Compiler - An interface around different compilers.

VERSION
version 0.037

DESCRIPTION
This is an interface wrapping around different compilers. It's usually not used directly but by a portability layer like ExtUtils::Builder::Autodetect::C.

METHODS

  add_include_dirs($dirs, %options)
Add dirs the the include list.

  add_defines($defines, %options)
Add defines (as a hash) to the define list.

  compile($source, $target, %options)
Compile a $source to $destination.

AUTHOR
Leon Timmermans <fawaka@gmail.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.